summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoreric2009-03-16 01:21:39 +0000
committereric2009-03-16 01:21:39 +0000
commit284ebd01265caf454daeef2b96a729b15d2f0cf9 (patch)
tree84b4e371a29627ea151534362c2b9505014d9d45
parent0757df06bf7d07cbec837a7fa598a1dcb9d5ae20 (diff)
downloadaur-284ebd01265caf454daeef2b96a729b15d2f0cf9.tar.gz
upgpkg: jasper 1.900.1-2
Added license, FHS man pages, Added ChangeLog git-svn-id: file:///srv/repos/svn-packages/svn@30067 eb2447ed-0c53-47e4-bac8-5bc4a241df78
-rw-r--r--.SRCINFO6
-rw-r--r--ChangeLog6
-rw-r--r--PKGBUILD20
3 files changed, 22 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index df768da0f4d..290beb0ddcc 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,12 +1,13 @@
# Generated by mksrcinfo v8
# Mon Sep 26 04:26:49 UTC 2016
pkgbase = jasper
- pkgdesc = a software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard
+ pkgdesc = A software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard
pkgver = 1.900.1
- pkgrel = 1
+ pkgrel = 2
url = http://www.ece.uvic.ca/~mdadams/jasper/
arch = i686
arch = x86_64
+ license = custom:JasPer2.0
makedepends = unzip
depends = libjpeg
depends = glut
@@ -16,6 +17,7 @@ pkgbase = jasper
options = !libtool
source = http://www.ece.uvic.ca/~mdadams/jasper/software/jasper-1.900.1.zip
md5sums = a342b2b4495b3e1394e161eb5d85d754
+ sha1sums = 9c5735f773922e580bf98c7c7dfda9bbed4c5191
pkgname = jasper
diff --git a/ChangeLog b/ChangeLog
new file mode 100644
index 00000000000..b457de382c7
--- /dev/null
+++ b/ChangeLog
@@ -0,0 +1,6 @@
+2009-03-14 Eric Belanger <eric@archlinux.org>
+
+ * jasper 1.900.1-2
+ * Added license
+ * FHS man pages
+ * Added ChangeLog
diff --git a/PKGBUILD b/PKGBUILD
index b4f353f2a0e..afcbc460afb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,21 +1,25 @@
# $Id$
-# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Tobias Powalowski <tpowa@archlinux.org>
pkgname=jasper
pkgver=1.900.1
-pkgrel=1
-pkgdesc="a software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard"
-arch=(i686 x86_64)
+pkgrel=2
+pkgdesc="A software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard"
+arch=('i686' 'x86_64')
url="http://www.ece.uvic.ca/~mdadams/jasper/"
+license=('custom:JasPer2.0')
depends=('libjpeg' 'glut' 'libxi' 'libxmu' 'mesa')
makedepends=('unzip')
options=('!libtool')
-source=(http://www.ece.uvic.ca/~mdadams/$pkgname/software/$pkgname-$pkgver.zip)
+source=(http://www.ece.uvic.ca/~mdadams/${pkgname}/software/${pkgname}-${pkgver}.zip)
md5sums=('a342b2b4495b3e1394e161eb5d85d754')
+sha1sums=('9c5735f773922e580bf98c7c7dfda9bbed4c5191')
build() {
- cd $startdir/src/$pkgname-$pkgver
- ./configure --prefix=/usr --enable-shared
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --mandir=/usr/share/man --enable-shared || return 1
make || return 1
- make DESTDIR=$startdir/pkg install || return 1
+ make DESTDIR=${pkgdir} install || return 1
+ install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
}